Results 1 to 3 of 3

Thread: Variety wallpaper changer won't run

  1. #1
    Join Date
    Nov 2013
    Location
    Ljubljana, Slovenia
    Posts
    465

    Default Variety wallpaper changer won't run

    I can't run Variety wallpaper changer on Tumbleweed. I get the following error:

    Code:
    nenad@openSUSE:~> variety
    Traceback (most recent call last):
      File "/usr/bin/variety", line 38, in <module>
        import variety
      File "/usr/lib/python2.7/site-packages/variety/__init__.py", line 111, in <module>
        from variety import VarietyWindow
      File "/usr/lib/python2.7/site-packages/variety/VarietyWindow.py", line 22, in <module>
        from variety.FacebookHelper import FacebookHelper
      File "/usr/lib/python2.7/site-packages/variety/FacebookHelper.py", line 55, in <module>
        from variety.Util import Util
      File "/usr/lib/python2.7/site-packages/variety/Util.py", line 17, in <module>
        import requests
    ImportError: No module named requests
    Any idea what could be wrong?

    Thanks
    Running openSUSE Leap 42.3 + KDE

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,824
    Blog Entries
    15

    Default Re: Variety wallpaper changer won't run

    Quote Originally Posted by holden87 View Post
    I can't run Variety wallpaper changer on Tumbleweed. I get the following error:

    Code:
    nenad@openSUSE:~> variety
    Traceback (most recent call last):
      File "/usr/bin/variety", line 38, in <module>
        import variety
      File "/usr/lib/python2.7/site-packages/variety/__init__.py", line 111, in <module>
        from variety import VarietyWindow
      File "/usr/lib/python2.7/site-packages/variety/VarietyWindow.py", line 22, in <module>
        from variety.FacebookHelper import FacebookHelper
      File "/usr/lib/python2.7/site-packages/variety/FacebookHelper.py", line 55, in <module>
        from variety.Util import Util
      File "/usr/lib/python2.7/site-packages/variety/Util.py", line 17, in <module>
        import requests
    ImportError: No module named requests
    Any idea what could be wrong?

    Thanks
    Hi
    I would guess python-requests needs to be installed.....
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Nov 2013
    Location
    Ljubljana, Slovenia
    Posts
    465

    Default Re: Variety wallpaper changer won't run

    Hi Malcolm,

    Yes, that did it, thanks again for your help and interpretation of the log!
    Running openSUSE Leap 42.3 + KDE

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •